Subject: Re: git-fetch not working?

From: Jakub Narebski <[email-masked]>
Date: Wed, 25 Oct 2006 13:37:09 +0200

Petr Baudis wrote:

> Dear diary, on Tue, Oct 24, 2006 at 11:10:11PM CEST, I got a letter
> where "H. Peter Anvin" <[email-masked]> said that...
>> Petr Baudis wrote:
>> >  nope, I'm getting it as well (hey I know about broken git.kernel.org
>> >in an hour at most now because of the repo.or.cz cronjobs ;) -
>> >git-daemon at the kernel.org machines seems to be broken.
>> >
>> 
>> Nope, just tripping the load limit.  git1.kernel.org has had loads over 
>> 400 today.  Oddly enough, the load on git2.kernel.org is in the low
>> teens. 

Shouldn't git.kernel.org distribute load?
 
> Hmm, interesting. Just to make sure, is that because of git-daemon or
> something else? :-)

Today (with git version 1.4.2.1):

998:jnareb@roke:~/git> git pull origin
fatal: read error (Connection reset by peer)
Fetch failure: git://git.kernel.org/pub/scm/git/git.git

1000:jnareb@roke:~/git> time git pull origin-http
Fetching refs/heads/master from http://git.kernel.org/pub/scm/git/git.git using http
Fetching refs/heads/pu from http://git.kernel.org/pub/scm/git/git.git using http
Fetching refs/heads/man from http://git.kernel.org/pub/scm/git/git.git using http
Fetching refs/heads/html from http://git.kernel.org/pub/scm/git/git.git using http
Fetching refs/heads/next from http://git.kernel.org/pub/scm/git/git.git using http
Fetching refs/heads/todo from http://git.kernel.org/pub/scm/git/git.git using http
Fetching refs/heads/maint from http://git.kernel.org/pub/scm/git/git.git using http
Already up-to-date.

real    8m0.369s
user    0m0.984s
sys     0m0.800s

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git